query user($id: ID!, $block: Block_height){
    user(id: $id, block: $block){
        id
        lpSnapshotsCount
        liquidityPositions{
            id
            balance
            createdAtBlock
            createdAtTimestamp
        }
    }
}